LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTemplateContainer Interface Referencepublished

is implemented by objects that contain instances of a named template to provide information about the template. More...

`import"XTemplateContainer.idl";`

Inheritance diagram for XTemplateContainer:

## Public Member Functions
string | getElementTemplateName ()
| retrieves the name of the template More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is implemented by objects that contain instances of a named template to provide information about the template.

An implementation will also implement com::sun::star::lang::XSingleServiceFactory, in which case that interface creates instances of the specified template.

If multiple templates are supported, the supported factory interface may be com::sun::star::lang::XMultiServiceFactory, in which case the `string` returned from XTemplateContainer::getElementTemplateName() can be used as the service name argument.

See also
  XTemplateInstance

## Member Function Documentation

## ◆ getElementTemplateName()

string getElementTemplateName | ( |  | ) |

retrieves the name of the template

If instances of multiple templates are accepted by the container, this is the name of the basic or primary template.

Instances of the template must be created using an appropriate factory.

Returns
  the name of the (default) template for elements.

The documentation for this interface was generated from the following file:

- com/sun/star/configuration/XTemplateContainer.idl